Add multiple DNS records for your domains

Add DNS records (like A, CNAME, MX) for one or more domains simultaneously. You will receive a job ID to track the request status via GET /api/domain-check/{jobId}.

Domain Services DNS

Context

Used in the dashboard

/domains/bulk-dns

Workflow links

Headers

Accept Example
Content-Type Example

Body

required
application/json
domainNames array required · Example: ["example.com"]
records array required · Example: [{"type":"A","name":"@","value":"192.0.0.1","ttl":3600}]

Responses

200
data object required
data.domainsCount integer required · Example: 1
data.jobId string required · Example: bulk_dns_add-1002-1700000000002
data.message string required · Example: Bulk DNS record add started for 1 domain(s)

Human-readable message.

data.recordsCount integer required · Example: 1
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

400

No response body

POST https://cloud.hostup.se/api/domains/bulk/dns/add
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domains/bulk/dns/add" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domainNames": [
      "example.com"
    ],
    "records": [
      {
        "type": "A",
        "name": "@",
        "value": "192.0.0.1",
        "ttl": 3600
      }
    ]
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "jobId": "bulk_dns_add-1002-1700000000002",
    "message": "Bulk DNS record add started for 1 domain(s)",
    "domainsCount": 1,
    "recordsCount": 1
  }
}
Request Body Example 1
{
  "domainNames": [
    "example.com"
  ],
  "records": [
    {
      "type": "A",
      "name": "@",
      "value": "192.0.0.1",
      "ttl": 3600
    }
  ]
}